# worksheet3

- Requirements:
- python3 -m venv iot_env
- source ../iot_env/bin/activate
- import modules - pip install <"Module Name>
--asyncio, websockets


### Task 1 - Connecting
- Established basic connectivity and communication with server and received a response. Again using asynci.get_event_loop helped. This gave the Base64 key.
![Connect](img/estabconnect.png)
- Establish connection. Converting ints from bytes meant indexing made it easy to split the packet into its ports and sections.
![Packet](img/recbasicclient.png)
### Task 2 - Check Sum
- After this, a checksum calculation function began development to check the legitimacy of the checksum, by comparing the computed one to the public one. This failed a few times to start with.
![CheckFail](img/computechecksum.png)
- Further trial and error with checksum and it seems to work better. Data is being parsed correctly. Note: Some redundant code due to tests.
![CheckBetter](img/checksum2.PNG)
### Task 3 
-- Created some UDP packet transfer between localhost and server, different check sums occur, and are compared with eachother before connection, so checksum compute needs tweaking to match the connection and for accuracy.
![Test](img/lt.png)
